sdps: XSdPs_Config Struct Reference

| sdps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XSdPs_Config Struct Reference
Sdps_v3_8

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
u32 | BaseAddress
| Base address of the device. More...
u32 | InputClockHz
| Input clock frequency. More...
u32 | CardDetect
| Card Detect. More...
u32 | WriteProtect
| Write Protect. More...
u32 | BusWidth
| Bus Width. More...
u32 | BankNumber
| MIO Bank selection for SD. More...
u32 | HasEMIO
| If SD is connected to EMIO. More...
u8 | IsCacheCoherent
| If SD is Cache Coherent or not. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

u32 XSdPs_Config::BankNumber

MIO Bank selection for SD.

Referenced by XSdPs_CardInitialize(), and XSdPs_CfgInitialize().

u32 XSdPs_Config::BaseAddress

Base address of the device.

Referenced by XSdPs_CardInitialize(), XSdPs_CfgInitialize(), XSdPs_Change_BusSpeed(), XSdPs_Change_BusWidth(), XSdPs_Change_ClkFreq(), XSdPs_CmdTransfer(), XSdPs_Get_BusSpeed(), XSdPs_Get_BusWidth(), XSdPs_Get_Mmc_ExtCsd(), XSdPs_Get_Status(), XSdPs_Idle(), XSdPs_MmcCardInitialize(), XSdPs_ReadPolled(), XSdPs_SdCardInitialize(), XSdPs_Set_Mmc_ExtCsd(), XSdPs_SetBlkSize(), XSdPs_SetupADMA2DescTbl64Bit(), and XSdPs_WritePolled().

u32 XSdPs_Config::BusWidth

Bus Width.

Referenced by XSdPs_CardInitialize(), XSdPs_CfgInitialize(), XSdPs_Change_BusWidth(), and XSdPs_SdCardInitialize().

u32 XSdPs_Config::CardDetect

Card Detect.

Referenced by XSdPs_CfgInitialize(), XSdPs_MmcCardInitialize(), XSdPs_ReadPolled(), XSdPs_SdCardInitialize(), and XSdPs_WritePolled().

u16 XSdPs_Config::DeviceId

Unique ID of device.

Referenced by XSdPs_CfgInitialize().

u32 XSdPs_Config::HasEMIO

If SD is connected to EMIO.

Referenced by XSdPs_CfgInitialize().

u32 XSdPs_Config::InputClockHz

Input clock frequency.

Referenced by XSdPs_CfgInitialize(), and XSdPs_Change_ClkFreq().

u8 XSdPs_Config::IsCacheCoherent

If SD is Cache Coherent or not.

Referenced by XSdPs_CfgInitialize(), XSdPs_Change_BusSpeed(), XSdPs_Get_BusSpeed(), XSdPs_Get_BusWidth(), XSdPs_Get_Mmc_ExtCsd(), XSdPs_Get_Status(), XSdPs_ReadPolled(), XSdPs_SetupADMA2DescTbl64Bit(), and XSdPs_WritePolled().

u32 XSdPs_Config::WriteProtect

Write Protect.

Referenced by XSdPs_CfgInitialize().